Bug 1443305 (CVE-2017-5466) - CVE-2017-5466 Mozilla: Origin confusion when reloading isolated data:text/html URL (MFSA 2017-12)
Summary: CVE-2017-5466 Mozilla: Origin confusion when reloading isolated data:text/htm...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-5466
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1437814
TreeView+ depends on / blocked
 
Reported: 2017-04-19 05:46 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-09-29 14:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-12 06:04:34 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1106 normal SHIPPED_LIVE Critical: firefox security update 2017-04-21 04:49:25 UTC
Red Hat Product Errata RHSA-2017:1201 normal SHIPPED_LIVE Important: thunderbird security update 2017-05-08 10:45:45 UTC

Description Huzaifa S. Sidhpurwala 2017-04-19 05:46:41 UTC
If a page is loaded from an original site through a hyperlink and contains a redirect to a <code>data:text/html</code> URL with defined <code>Location</code> header; triggering a reload will run the reloaded <code>data:text/html</code> page with its origin set incorrectly. This allows for a cross-site scripting (XSS) attack.


External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2017-11/#CVE-2017-5466


Acknowledgements:

Name: the Mozilla project
Upstream: Takeshi Terada

Comment 1 errata-xmlrpc 2017-04-21 00:50:32 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:1106 https://access.redhat.com/errata/RHSA-2017:1106

Comment 2 errata-xmlrpc 2017-05-08 06:47:20 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:1201 https://access.redhat.com/errata/RHSA-2017:1201


Note You need to log in before you can comment on or make changes to this bug.